version: '3.3'
services:
  neura_ui:
    build:
      context: .
    env_file: .env
    container_name: new_neura_ui
    restart: unless-stopped
    working_dir: /var/www/html/neura_ui
    ports:
      - 8093:80
      - 8452:443
    expose:
      - 8093
      - 8452
    volumes:
      - ./nginx/nginx.conf:/etc/nginx/nginx.conf
      - ./nginx/default.conf:/etc/nginx/conf.d/default.conf
      - ./logs/nginx:/var/log/nginx
    networks:
      - neura_ui-network
networks:
  neura_ui-network:
    driver: bridge
